io.undertow.security.impl

## Class GenericHeaderAuthenticationMechanism.Factory

- java.lang.Object
- - io.undertow.security.impl.GenericHeaderAuthenticationMechanism.Factory

All Implemented Interfaces:
  AuthenticationMechanismFactory

Enclosing class:
  GenericHeaderAuthenticationMechanism

    public static class GenericHeaderAuthenticationMechanism.Factory
    extends Object
    implements AuthenticationMechanismFactory

### Field Summary

### Fields inherited from interface io.undertow.security.api.AuthenticationMechanismFactory

`CONTEXT_PATH, DEFAULT_PAGE, ERROR_PAGE, LOGIN_PAGE, OVERRIDE_INITIAL, REALM`

### Constructor Summary

Constructors
Constructor and Description
`Factory()`
`Factory(IdentityManager identityManager)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods
`AuthenticationMechanism` `create(String mechanismName, IdentityManager identityManager, FormParserFactory formParserFactory, Map<String,String> properties)` Creates an authentication mechanism that needs access to the deployment IdentityManager and specified properties

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.undertow.security.api.AuthenticationMechanismFactory

`create`

### Constructor Detail

#### Factory

    @Deprecated
    public Factory(IdentityManager identityManager)

Deprecated.

#### Factory

    public Factory()

### Method Detail

#### create

    public AuthenticationMechanism create(String mechanismName,
                                          IdentityManager identityManager,
                                          FormParserFactory formParserFactory,
                                          Map<String,String> properties)

Description copied from interface: `AuthenticationMechanismFactory`
Creates an authentication mechanism that needs access to the deployment IdentityManager and specified properties

Specified by:
  `create` in interface `AuthenticationMechanismFactory`
Parameters:
  `mechanismName` - The name under which this factory was registered
  `identityManager` - the IdentityManager instance asscociated with the deployment
  `formParserFactory` - Parser to create a form data parser for a given request.
  `properties` - The properties
Returns:
  The mechanism